
module "rds-proxy" {
  source = "terraform-aws-modules/rds-proxy/aws"
  version = "3.1.0"
  auth = var.auth
  connection_borrow_timeout = var.connection_borrow_timeout
  create = var.create
  create_iam_policy = var.create_iam_policy
  create_iam_role = var.create_iam_role
  db_cluster_identifier = var.db_cluster_identifier
  db_instance_identifier = var.db_instance_identifier
  debug_logging = var.debug_logging
  endpoints = var.endpoints
  engine_family = var.engine_family
  iam_policy_name = var.iam_policy_name
  iam_role_description = var.iam_role_description
  iam_role_force_detach_policies = var.iam_role_force_detach_policies
  iam_role_max_session_duration = var.iam_role_max_session_duration
  iam_role_name = var.iam_role_name
  iam_role_path = var.iam_role_path
  iam_role_permissions_boundary = var.iam_role_permissions_boundary
  iam_role_tags = var.iam_role_tags
  idle_client_timeout = var.idle_client_timeout
  init_query = var.init_query
  kms_key_arns = var.kms_key_arns
  log_group_kms_key_id = var.log_group_kms_key_id
  log_group_retention_in_days = var.log_group_retention_in_days
  log_group_tags = var.log_group_tags
  manage_log_group = var.manage_log_group
  max_connections_percent = var.max_connections_percent
  max_idle_connections_percent = var.max_idle_connections_percent
  name = var.name
  proxy_tags = var.proxy_tags
  require_tls = var.require_tls
  role_arn = var.role_arn
  session_pinning_filters = var.session_pinning_filters
  tags = var.tags
  target_db_cluster = var.target_db_cluster
  target_db_instance = var.target_db_instance
  use_policy_name_prefix = var.use_policy_name_prefix
  use_role_name_prefix = var.use_role_name_prefix
  vpc_security_group_ids = var.vpc_security_group_ids
  vpc_subnet_ids = var.vpc_subnet_ids
}
